summaryrefslogtreecommitdiffstats
path: root/jjb/octopus/docu-verify.sh
diff options
context:
space:
mode:
authorVictor Laza <vlaza@cloudbasesolutions.com>2015-05-04 10:14:18 +0300
committerVictor Laza <vlaza@cloudbasesolutions.com>2015-05-04 10:17:34 +0300
commit8b12756b2e200a830898b6e73e49969f4adca658 (patch)
tree9c22b4c8da509abe063ec962b11a95d5941b36bf /jjb/octopus/docu-verify.sh
parent1e2ad344685a6f07ecc29329ecee2e2aca4fd9c1 (diff)
Extend dynamic project variable in docu-build scripts
JIRA: DOCS-26 - Extend dynamic project variable in docu-build scripts for functest, octopus, genesis & pharos Change-Id: I2bb699e7060754527fae4d7abe5b8fbf46c0a7dd Signed-off-by: Victor Laza <vlaza@cloudbasesolutions.com>
Diffstat (limited to 'jjb/octopus/docu-verify.sh')
-rw-r--r--jjb/octopus/docu-verify.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/jjb/octopus/docu-verify.sh b/jjb/octopus/docu-verify.sh
new file mode 100644
index 000000000..f337a7fae
--- /dev/null
+++ b/jjb/octopus/docu-verify.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -e
+set -o pipefail
+
+project="$(git remote -v | head -n1 | awk '{{print $2}}' | sed -e 's,.*:\(.*/\)\?,,' -e 's/\.git$//')"
+export PATH=$PATH:/usr/local/bin/
+
+git_sha1="$(git rev-parse HEAD)"
+docu_build_date="$(date)"
+
+files=()
+while read -r -d ''; do
+ files+=("$REPLY")
+done < <(find * -type f -iname '*.rst' -print0)
+
+for file in "${{files[@]}}"; do
+
+ file_cut="${{file%.*}}"
+ gs_cp_folder="${{file_cut}}"
+
+ # sed part
+ sed -i "s/_sha1_/$git_sha1/g" $file
+ sed -i "s/_date_/$docu_build_date/g" $file
+
+ # rst2html part
+ echo "rst2html $file"
+ rst2html $file > $file_cut".html"
+
+ echo "rst2pdf $file"
+ rst2pdf $file -o $file_cut".pdf"
+
+done
+